Installing Wink on 64 bit Ubuntu

Wink is great tutorial building software for Linux and Windows. It used to be available in the Ubuntu repositories but is no longer included. Currently, the Linux variant of Wink is version 1.5 and the Windows variant is version 2.0. Even though they share the same build number, they are not the same.

Unfortunately, running the newer, Windows version under Wine is not an option that I can see because there isn’t a way to capture the input from native Linux windows.

Go to the download page and download the wink15.tar.gz tarball to a temporary directory. This makes cleanup easier, since it is actually a tarbomb, extracting to the current directory.

Unzip the tarball which creates an installer.sh script and an installdata tarball.

Now, run the installer script.

Oops. I am running a 64 bit version of Ubuntu and this is a 32 bit binary only. Lets check what is in the installdata.tar.gz tarbomb.

This creates an entire directory structure in place including the wink executable. Lets install some basic 32 bit libraries.

Now lets check whats missing.

The “libexpat.so.0 => not found” line tells us that libexpat.so.0 is missing. What is odd is that the executable also links against libexpat.so.1.

I could try and find a 32 bit version of libexpat.so.0, but it might be worth a try to fake it.

Ha, it runs! Initial tests shows that it captures fine and can save to HTML, PDF and Flash.

Copy the entire directory structure to a its final resting place.

Now you can either run it from the wink directory or set up some desktop links to it.

3 Replies to “Installing Wink on 64 bit Ubuntu”

  1. thanks a lot for this…

    However, this does no longer work as libstdc++5 is not in the repos anymore (replaced with libstdc++6).

    Creating a symlink to version 6 did not do the trick as GLIBCPP_3.2 and CXXABI_1.2 were still missing.

    I got it to work though by following this post:
    http://www.hackourlife.com/ubuntu-10-04-lucid-lynx-libstdc-so-5/

    wget http://security.ubuntu.com/ubuntu/pool/universe/i/ia32-libs/ia32-libs_2.7ubuntu6.1_amd64.deb
    dpkg-deb -x ia32-libs_2.7ubuntu6.1_amd64.deb ia32-libs
    sudo cp ia32-libs/usr/lib32/libstdc++.so.5.0.7 /usr/lib32/
    cd /usr/lib32
    sudo ln -s libstdc++.so.5.0.7 libstdc++.so.5

    I figure others might need the info as well.

  2. Thanks the info. However after your suggest when i tried to run wink i received the following error on ubuntu 15.:
    /usr/share/themes/Lubuntu-default/gtk-2.0/apps/thunar.rc:55: error: invalid string constant “thunar-statusbar”, expected valid string constant

Leave a Reply

Your email address will not be published. Required fields are marked *